Package com.beust.jcommander

# Interface IStringConverterFactory

All Known Implementing Classes:
  `DefaultConverterFactory`

public interface IStringConverterFactory
A factory for IStringConverter. This interface lets you specify your converters in one place instead of having them repeated all over your argument classes.

See Also:
  - `IStringConverterInstanceFactory`

## Method Summary

Modifier and Type
Method
Description
`<T> Class<? extends IStringConverter<T>>`
`getConverter(Class<T> forType)`

## Method Details

### getConverter

<T> Class<? extends IStringConverter<T>> getConverter(Class<T> forType)